<template>
  <amplify-authenticator />
</template>

<script>
import { AmplifyEventBus } from "aws-amplify-vue";
import { Auth } from "aws-amplify";
export default {
  name: "FrontDoor",
  mounted() {
    AmplifyEventBus.$on("authState", async (eventInfo) => {
      if (eventInfo === "signedIn") {
        let username;
        let jwt;
        await Auth.currentSession().then((res) => {
          jwt = res.accessToken.jwtToken;
        });
        await Auth.currentAuthenticatedUser().then((res) => {
          username = res.username;
        });
        this.$store.commit("signIn", { username, jwt });
        this.$router.push({ name: "diveDetail" });
      } else if (eventInfo === "signedOut") {
        this.$router.push({ name: "Home" });
      }
    });
  },
};
</script>

<style scoped></style>
